Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 04/08/2020, à 14:25

Lifesaver

Wine Erreur Système 3D Shader Model 3.0 Radeon HD3650

Salut à tous,
Je ne sais pas s'il est préférable que je poste ici ou dans la section carte graphique...
Voilà, je voudrais installer Farming simulator 2019 via wine car je n'ai que Linux à la maison.
Il fonctionne à merveille sur un bon vieux i3 avec chipset Intel (j'imagine pas en full HD et tout, mais pour les gosses ça va pas mal)
J'ai un autre vieux PC qui va pas mal avec une carte graphique ATI HD 3650 mobility, avec bien entendu le pilote libre Radeon car plus de support par AMD pour cette carte depuis longtemps. Et là je suis très étonné mais impossible de lancer le jeu alors que je suis persuadé que les performances graphiques sont supérieures au chipset Intel. Bon OK, bonjour la vétusté, mais j'aime bien les vieilles machines. Et puis ça devrait fonctionner puisque ça fonctionne sans CG, non ?
Voilà le message : Impossible de démarrer le Système 3D. Shader Model 3.0 est nécessaire.
J'ai essayé plein de trucs que je ne comprends pas franchement DXVK, vulkan-mesa (j'ai bien vu que ma CG n'est pas sensée être supportée), rien à faire.
J'ai bien lu ce topic (https://forum.ubuntu-fr.org/viewtopic.php?id=2011172), mais il n'est pas allé jusqu'à sa résolution...
Alors je tente ici d'en comprendre davantage.
Merci pour votre aide et vos éclairages !

Dernière modification par Lifesaver (Le 04/08/2020, à 14:28)


Omen by HP, i5-7300HQ, 8G0 RAM DDR4, nvidia GeForce GTX 1050, Kubuntu 64 bits
Dell Studio 17, Core2Duo P8600, 4Go RAM, ATI HD3650 avec pilotes libres, Kubuntu 64 bits
HP Z15, i7-4700MQ, 16Go RAM, nvidia Quadro K1100m, Kubuntu 64 bits

Hors ligne

#2 Le 04/08/2020, à 16:20

abelthorne

Re : Wine Erreur Système 3D Shader Model 3.0 Radeon HD3650

Deux chipsets de la même génération peuvent avoir des capacités différentes, on ne peut pas vraiment en déduire quoi que ce soit sans les comparer en détail.

Cela étant dit, si on en croit cette fiche, la Mobility Radeon HD 3650 a un support du Shader Model 4.1 et OpenGL 3.3.

Tout d'abord, c'est un chipset mobile, donc je suppose que c'est un portable ? Auquel cas, est-ce qu'il a un double GPU Intel + ATI ou uniquement ATI ?

Ensuite, tu peux effectivement oublier Vulkan (et donc DXVK). Qu'est-ce que tu as comme paquets Mesa installés sur ton PC, notamment en 32 bits ? Donne le retour (entre balises Code) de :

dpkg -l | grep mesa

Troisième chose, comment est-ce que tu lances le jeu ? Il n'est apparemment pas natif mais :
- est-ce que c'est une version Steam ? auquel cas tu essaies de le lancer via le client Steam Linux (avec Proton) ou via le client Steam Windows lancé avec Wine ?
- est-ce que c'est une version non Steam ? auquel cas tu essaies de le lancer directement avec Wine (quelle version) ? en utilisant un soft tiers comme PlayOnLinux ou Lutris ?

Précise aussi ta version d'Ubuntu.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

Hors ligne

#3 Le 04/08/2020, à 16:40

Lifesaver

Re : Wine Erreur Système 3D Shader Model 3.0 Radeon HD3650

Salut, et merci pour ta réponse !
Donc, je n'ai qu'une carte ATI mobile, pas de chipset Intel (c'est sur un autre vieux portable que j'ai un chipset intel)
Et voilà la ribambelle de paquets mesa que j'ai installés :

$ dpkg -l | grep mesa
ii  libegl-mesa0:amd64                            20.2~git2008040730.4816f6~oibaf~f           amd64        free implementation of the EGL API -- Mesa vendor library
ii  libegl1-mesa:amd64                            20.2~git2008040730.4816f6~oibaf~f           amd64        transitional dummy package
ii  libgl1-mesa-dri:amd64                         20.2~git2008040730.4816f6~oibaf~f           amd64        free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-dri:i386                          20.2~git2008040730.4816f6~oibaf~f           i386         free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-glx:amd64                         20.2~git2008040730.4816f6~oibaf~f           amd64        transitional dummy package
ii  libglapi-mesa:amd64                           20.2~git2008040730.4816f6~oibaf~f           amd64        free implementation of the GL API -- shared library
ii  libglapi-mesa:i386                            20.2~git2008040730.4816f6~oibaf~f           i386         free implementation of the GL API -- shared library
ii  libglu1-mesa:amd64                            9.0.1-1build1                               amd64        Mesa OpenGL utility library (GLU)
ii  libglu1-mesa:i386                             9.0.1-1build1                               i386         Mesa OpenGL utility library (GLU)
ii  libglx-mesa0:amd64                            20.2~git2008040730.4816f6~oibaf~f           amd64        free implementation of the OpenGL API -- GLX vendor library
ii  libglx-mesa0:i386                             20.2~git2008040730.4816f6~oibaf~f           i386         free implementation of the OpenGL API -- GLX vendor library
ii  libosmesa6:amd64                              20.2~git2008040730.4816f6~oibaf~f           amd64        Mesa Off-screen rendering extension
ii  libosmesa6:i386                               20.2~git2008040730.4816f6~oibaf~f           i386         Mesa Off-screen rendering extension
ii  libwayland-egl1-mesa:amd64                    20.2~git2008040730.4816f6~oibaf~f           amd64        transitional dummy package
ii  mesa-utils                                    8.4.0-1build1                               amd64        Miscellaneous Mesa GL utilities
ii  mesa-va-drivers:amd64                         20.2~git2008040730.4816f6~oibaf~f           amd64        Mesa VA-API video acceleration drivers
ii  mesa-va-drivers:i386                          20.2~git2008040730.4816f6~oibaf~f           i386         Mesa VA-API video acceleration drivers
ii  mesa-vdpau-drivers:amd64                      20.2~git2008040730.4816f6~oibaf~f           amd64        Mesa VDPAU video acceleration drivers
ii  mesa-vdpau-drivers:i386                       20.2~git2008040730.4816f6~oibaf~f           i386         Mesa VDPAU video acceleration drivers
ii  mesa-vulkan-drivers:amd64                     20.2~git2008040730.4816f6~oibaf~f           amd64        Mesa Vulkan graphics drivers
ii  mesa-vulkan-drivers:i386                      20.2~git2008040730.4816f6~oibaf~f           i386         Mesa Vulkan graphics drivers

Mon système tourne sous Kubuntu 20.04 LTS 64 bits, c'est une version non steam (j'ai acheté le DVD), et je le lance via playonlinux (wineHQ version 5.0.1)


Omen by HP, i5-7300HQ, 8G0 RAM DDR4, nvidia GeForce GTX 1050, Kubuntu 64 bits
Dell Studio 17, Core2Duo P8600, 4Go RAM, ATI HD3650 avec pilotes libres, Kubuntu 64 bits
HP Z15, i7-4700MQ, 16Go RAM, nvidia Quadro K1100m, Kubuntu 64 bits

Hors ligne

#4 Le 04/08/2020, à 17:02

abelthorne

Re : Wine Erreur Système 3D Shader Model 3.0 Radeon HD3650

Tu peux essayer d'installer ces paquets 32 bits manquants, on sait jamais :

sudo apt-get install libegl-mesa0:i386 libegl1-mesa:i386 libgl1-mesa-glx:i386

Il y en a deux qui sont des paquets transitionnels mais je ne sais pas vers quoi, donc autant essayer de les installer. Accessoirement, je vois que tes paquets viennent de chez Oibaf, tu utilises son PPA instable ?

Est-ce que tu as essayé avec Lutris, qui est un peu plus maintenu que PlayOnLinux et qui a plus d'options ? Note qu'il faudra désactiver DXVK dans ses paramètres.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

Hors ligne

#5 Le 04/08/2020, à 20:11

Lifesaver

Re : Wine Erreur Système 3D Shader Model 3.0 Radeon HD3650

Je tente bien avec lutris, mais je ne comprends pas comment installer un jeu à partir d'un DVD. Car mon support de jeu est un DVD que j'ai acheté. Avec Playonlinux, l'installation s'était faite toute seule...


Omen by HP, i5-7300HQ, 8G0 RAM DDR4, nvidia GeForce GTX 1050, Kubuntu 64 bits
Dell Studio 17, Core2Duo P8600, 4Go RAM, ATI HD3650 avec pilotes libres, Kubuntu 64 bits
HP Z15, i7-4700MQ, 16Go RAM, nvidia Quadro K1100m, Kubuntu 64 bits

Hors ligne

#6 Le 04/08/2020, à 21:54

abelthorne

Re : Wine Erreur Système 3D Shader Model 3.0 Radeon HD3650

Généralement, j'utilise les installeurs qu'il propose (pour FS19, il n'y en a que pour les versions Steam et Epic) et ça fait des années que je n'ai pas utilisé de DVD, donc je ne peux pas vraiment te donner de tuto précis. Il y a deux méthodes que tu peux tester :
1) Installe-le directement avec Wine (dans le préfixe ~/.wine s'il est vide) et ensuite on pourra l'ajouter facilement à Lutris.
2) Essaie de faire "Add game" (depuis le signe + dans la barre de titre). Comme nom, mets "farming-simulator-19" et choisis Wine comme runner, puis clique sur Save. Sélectionne la nouvelle entrée dans la liste des jeux, choisis "run EXE inside Wine prefix" dans la liste à droite et demande-lui de lancer l'installeur depuis le DVD. Une fois l'installation terminée, il faudra probablement lui indiquer manuellement le chemin vers l'exécutable du jeu.

On pourrait aussi paramétrer directement le préfixe de la version installée avec POL dans Lutris mais s'il fait des modifs, je ne sais pas s'il sera toujours valide dans POL.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

Hors ligne

#7 Le 07/08/2020, à 16:00

Lifesaver

Re : Wine Erreur Système 3D Shader Model 3.0 Radeon HD3650

En fait c'est mort. J'ai installé le jeu via playonlinux, sur une partition Precise 12.05.5 64 bits pour pouvoir installer les derniers pilotes graphiques propriétaires Catalyst. Avec Wine 1.7.46, ça s'est installé comme une fleur, mais j'ai eu le même message d'erreur "Impossible de démarrer le Système 3D. Shader Model 3.0 est nécessaire."
Je pars du principe que si ça ne fonctionne pas avec les pilotes proprios, c'est qu'il n'y a rien à faire c’est mort. Reste que le message d'erreur est incohérent, mais ça ne change pas le fait que ma CG est trop ancienne. Dommage !


Omen by HP, i5-7300HQ, 8G0 RAM DDR4, nvidia GeForce GTX 1050, Kubuntu 64 bits
Dell Studio 17, Core2Duo P8600, 4Go RAM, ATI HD3650 avec pilotes libres, Kubuntu 64 bits
HP Z15, i7-4700MQ, 16Go RAM, nvidia Quadro K1100m, Kubuntu 64 bits

Hors ligne